@use '../../../global/styles/breakpoint';

.digi-logo-service {
	display: inline-flex;
	align-items: center;
	gap: var(--digi--gutter--icon);
}

.digi-logo-service__svg {
	color: var(--digi--global--color--profile--purple--base);
	height: var(--digi--global--spacing--large);
	width: var(--digi--global--spacing--large);
	flex-shrink: 0;
}

.digi-logo-service__text {
	font-family: var(--digi--global--typography--font-family--default);
	color: var(--digi--color--text--primary);
	margin-block-end: 0;
}

.digi-logo-service__name {
	font-weight: var(--digi--global--typography--font-weight--semibold);
	font-size: calc(var(--digi--global--typography--font-size--smallest) * 2);
	letter-spacing: -0.64;
	margin-block-end: 0;

	@include breakpoint.medium {
		font-size: calc(var(--digi--global--typography--font-size--smaller) * 2);
	}
}

.digi-logo-service__description {
	font-size: var(--digi--global--typography--font-size--smallest);
}
